Subject: [IPFIX] Fwd: WG Last Call for draft-ietf-ipfix-data-link-layer-monitoring-01

From: Brian Trammell <[email-masked]>
Date: Thu, 8 Nov 2012 13:50:31 -0500

Greetings, all,

As discussed in the meeting in Atlanta, my comments on section 5 should be directed to someone (at the IEEE, or otherwise with 802 expertise) who can answer the following question:

Is the language in the current definitions of the affected Information Elements interoperable with the language in the modified definitions? That is, will implementations using the old definition be able to correctly interpret information exported using the new one, and vice-versa?

Thanks,

Brian

Begin forwarded message:

> From: Brian Trammell <[email-masked]>
> Subject: Re: [IPFIX] WG Last Call for draft-ietf-ipfix-data-link-layer-monitoring-01
> Date: 22 October 2012 12:53:34 EDT
> To: Nevil Brownlee <[email-masked]>
> Cc: IPFIX Working Group <[email-masked]>
> 
> Greetings, all,
> 
> I've done a quick review of draft-ietf-ipfix-data-link-layer-monitoring-01 for WGLC; I haven't checked the IE definitions for correctness (I'm not a layer 2 geek, and will rely on external review from IEEE folks for that). However, I do have a couple of comments.
> 
> This draft needs another revision before AD review, mainly to complete Section 4, to generalize packet section export per the earlier discussion on the subject (see http://www.ietf.org/mail-archive/web/ipfix/current/msg06475.html ) -- Would these changes also obviate the need for dataLinkFrameSize and dataLinkFrameSection as defined by Sections 3.1 and 3.2? 
> 
> Additional comments, per section:
> 
> 3.3. dataLinkFrameType
> 
> Is there any existing registry for these? All I can think of off the type of my head are the datalink types for libpcap, which are probably not appropriate, but it would be nice if we had something to refer to here. Section 8 will need to be more specific about IANA actions with respect to the registry created by this section. 
> 
> 5. Modification of Existing Information Elements Related to VLAN Tag
> 
> Sections 5.1 through 5.4 will need thorough review by someone deeply familiar with 802.1q to determine whether the new descriptions for these Information Elements are interoperable with the existing descriptions, as per Section 5.2 of IE-DOCTORS. If they are not interoperable, we will need to create new Information Elements and deprecate the existing ones.
> 
> 8. IANA Considerations
> 
> This section needs to be more specific about IANA actions with respect to the registry created for dataLinkFrameType. In keeping with existing policy on subregistries, I presume this will be subject to Expert Review. 
> 
> Cheers,
> 
> Brian
> 
> On 15 Oct 2012, at 4:36 , Nevil Brownlee wrote:
> 
>> 
>> HI IPFIXers:
>> 
>> Paul has posted this draft, addressing the issue raised at our
>> Meeting in Vancouver.
>> 
>> The WG Last Call for it starts now, and will end just after IETF-85,
>> i.e. on Sunday, 11 November.
>> 
>> We'll ask the IEEE linklayer folk to comment, but of course we need
>> your feedback too.  Please read it through, and comment briefly on
>> the IPFIX list.  If you're able to review it, that would be great.
>> However, comments like "I see no problems with this" would also be
>> useful in judging consensus!
>> 
>> Cheers, Nevil
>> 
>> -- 
>> ---------------------------------------------------------------------
>> Nevil Brownlee                    Computer Science Department | ITS
>> Phone: +64 9 373 7599 x88941             The University of Auckland
>> FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand
>> _______________________________________________
>> IPFIX mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ipfix
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix